package es.ejie.frmk.conectores.conectorJMS;

import java.util.HashMap;

import es.ejie.frmk.conectores.Q70ConfiguradorConector;
/**
 * @version 1.0
 * Fecha: 18-dic-03
 *
 * Esta clase permite configurar el componente de Mensajes JMS
 * a partir de su fichero xml de configuración .
 * La clase implementa el interface Q70Configurable para autoconfigurarse 
 * a partir de un fichero xml
*/	
public class Q70Configurador extends Q70ConfiguradorConector{

	private HashMap ubicaciones = new HashMap();
	private String nombreUbicacion;	
	/**
	 * Constructor del <code>Q70Configurador</code>.
	 * 
	 * @param <code>String</code> nombre del fichero XML de configuración
	 */
	
	public Q70Configurador(String ficheroXML) {
		super(ficheroXML);
	}


	public void beginStructure(String name, String level, String path) {
		if(level.equals("/lista/estructura"))
			nombreUbicacion = name;
		super.beginStructure(name, level, path);
	}

	public void beginProperty(String name, String value, String nivel, String path) {
		if (nivel.equals("/lista/estructura/propiedad")){ 
			if(name.equals("topicConnectionFactory"))
				ubicaciones.put(nombreUbicacion, value);
		}
		else{
			super.beginProperty(name, value, nivel, path);
		}		
	}
	public HashMap getDestinations(){
		return ubicaciones;
	}
}
